//+------------------------------------------------------------------+
//|                                                1_01_Tr_Alert.mq4 |
//|                      Copyright  2008, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 Lime
#property indicator_color2 Red
extern int count_Alert=3; //  

//---- buffers
double ExtMapBufferUP[];
double ExtMapBufferDN[];
double ftime;
int y=0,count_a=0;

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   
   SetIndexStyle(0,DRAW_ARROW,0,1);
   SetIndexArrow(0,233);
   SetIndexBuffer(0,ExtMapBufferUP);
   SetIndexEmptyValue(0,0.0);
   SetIndexStyle(1,DRAW_ARROW,0,1);
   SetIndexArrow(1,234);
   SetIndexBuffer(1,ExtMapBufferDN);
   SetIndexEmptyValue(1,0.0);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
//----
   if(ftime!=Time[0]) count_a=0;
//  int    counted_bars=IndicatorCounted();
//----
//    
int    obj_total=ObjectsTotal();
  string index;
  for(int i=0;i<obj_total;i++)
    {
     index=ObjectName(i);
      string substrTL_down = StringSubstr (index, 0, 7);
            if (substrTL_down == "TrDdown") string TrDLine_down=index;
      string substrTL_up = StringSubstr (index, 0, 5);
            if (substrTL_up == "TrDup") string TrDLine_up=index;
    
    }
//   
            if (ObjectGet(TrDLine_down, OBJPROP_PRICE1)>ObjectGet(TrDLine_down, OBJPROP_PRICE2))
               {
               if ((Close[1]>ObjectGetValueByShift(TrDLine_down, 1)) && (Close[2]<ObjectGetValueByShift(TrDLine_down, 2)))
                 {
                  ExtMapBufferUP[1]=(Low[1]-5*Point); /*Alert (Symbol(),"  Trend UP ");*/
                  c_alert(1);
                 }
               }
            else
            if (ObjectGet(TrDLine_up, OBJPROP_PRICE1)<ObjectGet(TrDLine_up, OBJPROP_PRICE2))
               {
               if ((Close[1]<ObjectGetValueByShift(TrDLine_up, 1)) && (Close[2]>ObjectGetValueByShift(TrDLine_up, 2)))
                  {
                   ExtMapBufferDN[1]=(High[1]+5*Point);/*Alert (Symbol(),"  Trend DN ");*/
                     c_alert(1);
                  }
               }         
   
//----
   return(0);
  }
//+------------------------------------------------------------------+

void c_alert (int w)
 {
 ftime=Time[0];
 if(count_a<count_Alert)
 {count_a+=1;
 //if(w==1) Alert(Symbol()," ",Period(),"   ");
 PlaySound("ku_ku.wav");
 }
 }
 return;